Translations of this page:

We’re in the process of updating the documentation for Zotero 5.0. Some documentation may be outdated in the meantime. Thanks for your understanding.

This page describes some of the reported issues with the Zotero word processor plugins, together with possible solutions.

All Plugins/Platforms

Formatting Issues

Citations and bibliographies generated by the word processor plugins might appear in a different style (font, font-size, etc) than the surrounding text. The appearance of the generated text can be changed by changing the default style. E.g. in OpenOffice, open the styles manager in 'Format' > 'Styles and Formatting' or by hitting F12. Right click on “Default”, select 'Modify', and make the desired changes to this style.

Bibliography formatting is controlled in the style file, and should conform to the requirements of the style in use. In the 3.0 series plugins for Zotero 2.0.x, line and entry spacing will be overwritten on each document update. In the 3.1 series plugins for Zotero 2.1, the formatting of the bibliography can be modified by editing the “Bibliography” (Word) or “Bibliography 1” (OpenOffice.org) style.

Incompatible plugin

The Zotero word processor plugin will only work if you install the correct version. (Note that Zotero 2.0 uses a different plugin from Zotero 1.0.x, and Zotero 2.1 uses a different plugin from Zotero 2.0, so after upgrading Zotero you will also need to upgrade your plugin.) If you try to use an incompatible version of the plugin, you will receive an error message similar to:

“This version of the Zotero Word Plugin (1.0b4) is incompatible with the currently installed version of the Zotero Firefox extension (2.0.3). Please ensure that you are using the latest versions of both components.”

To solve this problem, install the correct version of the plugin.

If the problems persists after using the installer, remove the old version manually. For Windows Word and Word 2004 for Mac, remove the plugin file “Zotero.dot” completely from your Word startup folder, which you can locate by looking at the path in Tools→Templates and Add-ins within Word. For OpenOffice, remove the extension from the OpenOffice Extension Manager (and, if necessary, remove leftover files from the OpenOffice data directory, which may be necessary if OO fails to completely uninstall the extension). In either case, restart the word processor and ensure that the Zotero toolbar and all traces of the plugin are completely gone before attempting to reinstall.

Zotero toolbar doesn't appear

If the Zotero toolbar (or Zotero scripts for Word 2008/2011 for Mac) does not appear, follow these steps:

  1. Close Word or OpenOffice.
  2. In Firefox, go to Tools→Add-ons→Extensions. (If you don't see “Zotero MacWord Integration,” “Zotero WinWord Integration,” or “Zotero OpenOffice Integration” in Tools→Add-ons→Extensions, install them.)
  3. Click the “Preferences”/“Options” button next to “Zotero MacWord Integration,” “Zotero WinWord Integration,” or “Zotero OpenOffice Integration”, depending on your operating system and word processor.
  4. Click “Reinstall Word Components” or “Reinstall OpenOffice Components” as appropriate, and then restart Word.

In Word for Windows and Word 2004 for Mac, make sure that the Zotero toolbar is enabled in View→Toolbars, and ensure that Zotero.dot appears and is enabled in Word's Tools→Templates and Add-ins window.

Additional steps may be required for Word 2004, Word 2008/2011, and Word for Windows on some systems.

Debugging broken documents

If you can insert citations into new documents but receive an error in an existing document, follow these steps to find the cause of the error:

  1. Make sure the Track Changes feature in Word/OpenOffice.org is disabled, as it is known to cause problems with Zotero integration. (With the most recent version of the plugins this should not be the case any more - to be safe, do still perform this step, though)
  2. You cannot have citations in image captions. Zotero won't let you insert them, but if you copied a citation to a caption that's most likely the source of the problem. Delete it.
  3. If you are using Word, or if you are using bookmarks in OpenOffice.org, try copying and pasting the document content into a new document to see if the problem goes away. You will need to click the “Set Document Preferences” button before your old citations will be recognized.
  4. Make a copy of your document—by duplicating the file itself, not by copying and pasting the content—to use for debugging.
  5. Open the copied file and check if you get the error after switching to a different bibliography style.
  6. If the document has a bibliography, delete it and check if you still get the error.
  7. Check if “Report Errors…” in the Zotero Actions menu () is active and if new errors appear after attempting to insert a citation. If so, send in an error report and post the provided Report ID to the forums.
  8. Try to isolate the problematic citation. Delete half of the document at a time and see if the error still occurs. If not, use Undo to restore the deleted section and then try deleting the other half. If you can reproduce the error in only one of the halves, repeat the halving process on the remaining section. Continue this until you find the problematic citation. Remove that citation from the original document and the problem should go away (unless there are multiple problematic citations, in which case you'll have to repeat the process). If you are able to find a problematic citation, you should also send that document excerpt to support@zot….org so we can take a look at it. For all other discussion, please post to the forums.
  9. While debugging, if you are using Fields mode in Word or Reference Marks mode in OpenOffice, it may help to display field codes rather than formatted text. To do this in Word, press Alt-F9 on Windows or Option-F9 on OS X. In OpenOffice, press Control-F9.

Word

Windows

Communication error or non-responsive plugin buttons

“Word could not communicate with Zotero. Please ensure Firefox is running and try again.” Or plugin appears and buttons are clickable, but no insert citation window appears.

  1. If you use ZoneAlarm, disable ForceField, which is known to cause a communication error.
  2. Windows plugins communicate with Firefox using the remote window. Thus, launching Firefox with the -no-remote command-line option will prevent the plugins from functioning. (You might do this if you have multiple Firefox profiles.) The solution is to remove the -no-remote command-line option from the shortcut used to launch the Firefox profile on which Zotero is installed. As long as all other profiles use the -no-remote option, you should be able to open them and the Zotero profile simultaneously.

Toolbar does not appear in Word for Windows or is incompatible

After installing the latest Word plugin for Zotero on a system with a non-English version of Office, the toolbar may not appear in Word. Alternatively, after upgrading the plugin, you may receive a message saying that the plugin is incompatible with the installed version of Zotero.

These problems indicate that the new template was not installed into the correct location for your installation. By default, Zotero installs the template into your Word Startup directory. You may need to manually install the Zotero.dot file into the correct directory.

"Could not find a running Word instance" with Word 2010

If you install Zotero with Word 2010 and receive an error stating

“Zotero experienced an error updating your document. Could not find a running Word instance.”

you may be experiencing an issue relating to your Word 2010 installation method. Microsoft distributes a set of “Click-to-Run” versions of Office 2010 that are configured to run within their own virtual environment. Unfortunately, this virtual environment prohibits Zotero from communicating with these Word instances, producing an error.

You can fix this problem by switching your copy of Office 2010 from a Click-to-Run installation to a standard (MSI-based) installation. This process does not require an additional license. To do so, follow the steps under the “Workaround” heading on this page.

Mac

Component loading error

Under some circumstances, you may see the following message in Firefox when you attempt to insert a citation in Word:

“Firefox could not load the component required to communicate with your word processor.”

You may also repeatedly see the following message upon starting Firefox:

“The Zotero MacWord Integration installation succeeded, but a necessary component does not appear to be loaded properly.”

These errors are caused by an issue with PythonExt, which does not load a necessary Firefox component on some systems. Make sure Zotero MacWord Integration is up-to-date by clicking “Find Updates” in Tools→Add-ons→Extensions. We have updated the plugin to automatically resolve many PythonExt issues. Additionally, if you have not already done so, you should install the latest version of PythonExt from zotero.org on the installation page. To upgrade from the official build of PythonExt, follow these instructions:

  1. Open Tools→Add-ons→Extensions. Make sure that you have Zotero MacWord Integration 3.0a8 or later installed. If you don't, click the “Find Updates” button, restart Firefox, and return to Tools→Add-ons→Extensions.
  2. Click the “Uninstall” button next to PythonExt.
  3. Restart Firefox. You should get an error message stating that PythonExt is corrupted or incompletely deleted. Press OK to completely delete it.
  4. Firefox will restart again. You will see an error message stating that Zotero MacWord Integration requires PythonExt. Ignore it.
  5. Download the updated version of PythonExt from the installation page.

At this point, we believe that we've traced the causes of all PythonExt issues. If you are up-to-date and are still experiencing the above issues, you should post with a Report ID on the forums.

No response from plugin

If you getting no response when you attempt to use the Word plugin, try the following steps:

  1. Restart Word and try again.
  2. Close Word and go to Tools→Add-ons→Extensions in Firefox. Make sure Zotero MacWord Integration plugin is listed and enabled. If not, reinstall it. If so, click its Preferences/Options button and click Reinstall Word Components. Restart Word and try again.

Toolbar does not appear in Word 2004 or is incompatible

After installing the latest Word plugin for Zotero on a system with a non-English version of Office 2004 for Mac installed or with a non-administrator OS X user account, the toolbar may not appear in Word. Alternatively, after upgrading the plugin, you may receive a message saying that the plugin is incompatible with the installed version of Zotero.

These problems indicate that the new template was not installed into the correct location for your installation. By default, Zotero installs the template into /Applications/Microsoft Office 2004/Office/Startup/Word.

If you have a non-English version of Office, you may need to move the Zotero.dot file into the “Word” directory within the equivalent of “Startup” in your language and restart Word. The correct path should be listed in Tools→Templates and Add-ins in Word.

If you're using a non-admin OS X user account, you will need to install the Word plugin from an administrative account or grant write access for the startup directory to the non-admin account to allow it to install Zotero.dot.

To grant write access, navigate to /Applications/Microsoft Office 2004/Office/Startup in Finder, select the Word folder, and select File→Get Info. Click the small lock icon in the bottom-right corner of the Info window and authenticate as an administrator. Then press the ”+“ button, add the non-admin user to the list, and make sure Privilege is set to Read & Write. In Firefox, go to Tools→Add-ons→Extensions, click the “Preferences” button next to “Zotero MacWord Integration”, and click “Reinstall Word Components”. You can then optionally remove the non-admin account from the privilege list of the Word folder, though plugin upgrades may require you to repeat the same process.

Scripts do not appear in Word 2008/2011 or are incompatible

After installing the latest Word plugin for Zotero on a system with a non-English version of Office 2008/2011 for Mac installed, the plugin scripts may not appear in Word. Alternatively, after upgrading the plugin, you may receive a message saying that the plugin is incompatible with the installed version of Zotero.

These problems indicate that the new scripts were not installed into the correct location. By default, Zotero installs the scripts into ~/Documents/Microsoft User Data if the folder exists or asks where to install them if it does not. Since non-English versions of Office do not use the Microsoft User Data folder, but rather a folder with an equivalent name in the Office language, this can be problematic for non-English Office users. There are two potential solutions:

  1. If you have only non-English versions of Office installed, you can delete the Microsoft User Data folder if it contains nothing other than the Zotero scripts. You can then re-install the Zotero scripts by going to Tools→Add-ons→Extensions, clicking the “Preferences” button next to Zotero MacWord Integration, and clicking the “Reinstall Word Components” button.
  2. If you have both English and non-English versions of Office installed, you should copy the Zotero folder from ~/Documents/Microsoft User Data/Word Script Menu Items to the equivalent folder for your non-English version of Office. You can find the correct directory by selecting “About This Menu…” (or non-English equivalent) from the script menu and clicking “Open Folder”.

Document update error in Word 2011

Some Word 2011 users may see the following message upon attempting to insert a citation or bibliography into a new or existing Word document:

“Zotero experienced an error updating your document

COMMAND: app(u'/Applications/Microsoft Office 2011/Microsoft Word.app').make(new=k.custom_document_property…”

This error may appear if a custom installation of Office 2011 is performed, and “Visual Basic for Applications” is not selected for installation. If you experience this error, please reinstall Office 2011, making sure to select this option.

There may also be a bug in Word itself that may cause this message to appear for some users even if Visual Basic for Applications is installed. See this thread on the Microsoft forums. Unfortunately, there is no known workaround.

Note that “Zotero experienced an error updating your document” is a generic message that appears with any issue with Zotero word processor integration. The message below indicates the actual error that occurred. If a different error accompanies the issue you are experiencing, the above instructions are unlikely to help.

Communication error

“Word could not communicate with Zotero. Please ensure Firefox is running and try again.”

You might experience this error if you have recently upgraded Zotero MacWord Integration and are running Microsoft Word 2008/2011 for Mac on a non-English language system. Close Word and then, in Firefox, go to Tools→Add-ons→Extensions. Click the “Preferences” button next to “Zotero MacWord Integration” and then click “Reinstall Word Components.”

Linux

The Zotero Word for Windows plugin does not work out of the box under WINE, CrossOver Office, or other compatibility environments for Linux. We do not support running the Word for Windows plugin under Linux, and advise users to use LibreOffice/OpenOffice.org instead. If you absolutely must run Zotero in WINE, this forum thread has some helpful tips.

OpenOffice.org, NeoOffice, and LibreOffice

All Platforms

Installation error

At the last step of OpenOffice.org Integration installation, you may see the message

“An error occurred installing Zotero OpenOffice.org/NeoOffice/LibreOffice Integration.”

If you experience this error during plugin installation, restart the installation process, by restarting Firefox. In Firefox select Add-ons the under the Tools menu. The page should display the Zotero OpenOffice.org Integration extension. Click the preferences button for this extension which will display the Zotero Preferences dialog. The displayed comment may be:

“The Zotero OpenOffice.org/LibreOffice/NeoOffice extension is not currently installed.”

and will also have a button to Install Extension.

Click the button which displays an Integration Installation dialog. When you are asked to locate your OpenOffice.org/NeoOffice/LibreOffice installations, ensure that the file listed exists and is in the appropriate OpenOffice.org directory. (You can add new OpenOffice.org installations by clicking the “Add Directory…” button below.) If this information is correct and installation still fails, click the “Manual Installation” button. This will open a folder containing the integration component to be installed within OpenOffice.org itself. Double-click this component to install it, or select Tools→Extension Manager within OpenOffice.org, click the Add button, and navigate to the component.

NullPointerException or lastDataListener is undefined error

In Zotero OpenOffice.org Integration 3.5a2, when attempting to add or edit a citation or bibliography, you may see the message

java.Lang.NullPointerException at org.zotero.integration.ooo.comp.Comm.getMessageResponse

or the message

[JavaScript Error: “_lastDataListener is undefined” … when calling method: [zoteroIntegrationApplication::getActiveDocument]

This error indicates that the version of the extension installed within Firefox does not match the version of the extension installed within OpenOffice.org, typically because installation failed. Try reinstalling the plugin. If the installation fails, or you continue to experience this error after reinstalling, see the above section on how to resolve an installation error.

Users with other word processor integration plugins (Word for Mac or Word for Windows) installed should also make sure that those plugins are the latest available versions.

Troubleshooting previous versions

The latest series of Zotero OpenOffice.org Integration releases is the 3.5 alpha releases, compatible with Zotero 2.1. For users who cannot upgrade to Zotero 2.1, troubleshooting instructions for versions 3.0 and 3.1 is still available.

Windows

Could not create java implementation loader

Upon manual installation of the OpenOffice.org/LibreOffice component, you may see the message

“Could not create java implementation loader”

This error reflects a faulty Java installation within OpenOffice.org or LibreOffice. This issue affects not only Zotero, but any OpenOffice.org/LibreOffice extension that uses Java. For most users, installing LibreOffice 3.4+ appears to solve this issue. If you cannot install LibreOffice, or if installing LibreOffice does not resolve the problem, follow the instructions below.

First, check that Java is installed and enabled in OpenOffice.org or LibreOffice by choosing Tools→Options→OpenOffice.org→Java. Ensure that “Use a Java runtime environment” is checked, and that a JRE appears in the list below. (It may take a few seconds below.)

If Java is installed and enabled but the error persists, one possible solution involves removing the Zotero OpenOffice.org Integration component from Tools→Extension Manager within OpenOffice.org or LibreOffice, uninstalling OpenOffice.org or LibreOffice, restarting, reinstalling OpenOffice.org or LibreOffice, and then reinstalling the Zotero OpenOffice.org Integration component as detailed above.

Alternatively, you may try installing the older OpenOffice Plugin for Zotero 2.1 (Version 3.1b1). This older plug-in is compatible with Zotero 2.1.x and Firefox 4 on Windows. It will not be receiving future updates.

Mac

Could not create java implementation loader

Upon manual installation of the OpenOffice.org/NeoOffice/LibreOffice component, you may see the message

“Could not create java implementation loader”

This is usually caused by an outdated version of OpenOffice, LibreOffice, or NeoOffice that does not properly locate the system Java installation. It can be resolved by installing OpenOffice.org 3.3 or later, LibreOffice 3.3 or later, or NeoOffice 3.1.2 or later.

Linux

Installation error, or clicking toolbar buttons does not have an effect (LibreOffice)

On some Linux installations the Zotero toolbar refuses to install properly in LibreOffice, or is visible in LibreOffice, but clicking the buttons has no effect.

Installing the libreoffice-java-common package, available in the repositories of most common linux distributions, usually solves this issue. The libreoffice-java-common package in Ubuntu 11.04 does not have the appropriate dependencies specified, so you may also need to install a JRE (e.g., the default-jre package).

You may still need to activate the extension: In LibreOffice go to Tools → Extension Manager Select “Zotero OpenOffice Integration” and click the “Activate” button.

Can't insert Citations in Libre Office under Kubuntu

This is due to a bug in Libre Office in KDE - uninstalling libreoffice-kde fixes this. See this thread for details and developments.